function [ out ] = meanvar( rho )
%MEANVAR computes the mean photon number, variance and Q parameter
 
numvals = (0:8);
out = [0,0,0];

mean = (1/2)*(numvals*sum(rho,1)' + numvals*sum(rho,2));
var = (1/2)*((numvals.*numvals)*sum(rho,1)' + (numvals.*numvals)*sum(rho,2)) - mean^2;
Qparm = (var - mean)/mean^2;

out(1,1) = mean;
out(1,2) = var;
out(1,3) = Qparm;

